For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The EEOC object
          • GET/eeocs
          • GET/eeocs/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEeocs

/eeocs/{id}

GET
/ats/v1/eeocs/:id
GET
/api/ats/v1/eeocs/:id
$curl -G https://api.merge.dev/api/ats/v1/eeocs/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=candidate \
> --data-urlencode remote_fields=disability_status,gender,race,veteran_status \
> --data-urlencode show_enum_origins=disability_status,gender,race,veteran_status
200Retrieved
1{
2 "id": "f7dd7b4f-237e-4772-8bd4-3246384c6c58",
3 "remote_id": "76",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "candidate": "f963f34d-3d2f-4f77-b557-cf36bc7e6498",
7 "submitted_at": "2021-10-15T00:00:00Z",
8 "race": "HISPANIC_OR_LATINO",
9 "gender": "FEMALE",
10 "veteran_status": "I_AM_NOT_A_PROTECTED_VETERAN",
11 "disability_status": "I_DONT_WISH_TO_ANSWER",
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/eeoc",
24 "data": null
25 }
26 ]
27}

Returns an EEOC object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/eeocs

Next

The ScheduledInterview object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
candidatestring or nullformat: "uuid"
The candidate being represented.
submitted_atdatetime or null
When the information was submitted.
raceenum or null

The candidate’s race.

  • AMERICAN_INDIAN_OR_ALASKAN_NATIVE - AMERICAN_INDIAN_OR_ALASKAN_NATIVE
  • ASIAN - ASIAN
  • BLACK_OR_AFRICAN_AMERICAN - BLACK_OR_AFRICAN_AMERICAN
  • HISPANIC_OR_LATINO - HISPANIC_OR_LATINO
  • WHITE - WHITE
  • NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER - NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER
  • TWO_OR_MORE_RACES - TWO_OR_MORE_RACES
  • DECLINE_TO_SELF_IDENTIFY - DECLINE_TO_SELF_IDENTIFY
genderenum or null

The candidate’s gender.

  • MALE - MALE
  • FEMALE - FEMALE
  • NON-BINARY - NON-BINARY
  • OTHER - OTHER
  • DECLINE_TO_SELF_IDENTIFY - DECLINE_TO_SELF_IDENTIFY
Allowed values:
veteran_statusenum or null

The candidate’s veteran status.

  • I_AM_NOT_A_PROTECTED_VETERAN - I_AM_NOT_A_PROTECTED_VETERAN
  • I_IDENTIFY_AS_ONE_OR_MORE_OF_THE_CLASSIFICATIONS_OF_A_PROTECTED_VETERAN - I_IDENTIFY_AS_ONE_OR_MORE_OF_THE_CLASSIFICATIONS_OF_A_PROTECTED_VETERAN
  • I_DONT_WISH_TO_ANSWER - I_DONT_WISH_TO_ANSWER
Allowed values:
disability_statusenum or null

The candidate’s disability status.

  • YES_I_HAVE_A_DISABILITY_OR_PREVIOUSLY_HAD_A_DISABILITY - YES_I_HAVE_A_DISABILITY_OR_PREVIOUSLY_HAD_A_DISABILITY
  • NO_I_DONT_HAVE_A_DISABILITY - NO_I_DONT_HAVE_A_DISABILITY
  • I_DONT_WISH_TO_ANSWER - I_DONT_WISH_TO_ANSWER
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more